import { RouterLink } from "vue-router";
import useHead from "@/useHead.ts";
import DJTooltip from "@/DJTooltip.tsx";

export default {
    name: "ge-main",
    setup() {
        useHead({ title: "Generative Energy" });
        return () => (
            <>
                <header>
                    <h1>Generative Energy</h1>
                </header>
                <div class="text-slab">
                    <p>
                        This page is dedicated to Dr. Raymond Peat († 2022), who has had a profound impact on my health
                        and my life in general. Hover over the links below for more detail.
                    </p>
                </div>
                <h2>Links</h2>
                <div class="text-slab">
                    <ul>
                        <li>
                            <DJTooltip tooltip="Convert to and from grains, set ratios, etc.">
                                <RouterLink to={{ name: "GECalculator" }}>Thyroid Calculator</RouterLink>
                            </DJTooltip>
                        </li>
                        <li>
                            <DJTooltip tooltip="A selection of articles by Ray that I have translated in my spare time into German.">
                                <RouterLink to={{ name: "GEDeutsch" }}>Ray Peat Articles in German</RouterLink>
                            </DJTooltip>
                        </li>
                    </ul>
                </div>
            </>
        );
    },
};
