import { type MaybeRefOrGetter, useSSRContext } from "vue";

export type DJSSRContext = {
    head: {
        title: MaybeRefOrGetter<string>;
        metatags: MaybeRefOrGetter<Array<{ name: string, content: string }>>;
    };
    registry: Record<string, unknown>;
    styles: Record<string, string>;
};

export default function useDJSSRContext() {
    return useSSRContext<DJSSRContext>();
}
